#ifndef DBSE2_FACTORY_H
#define DBSE2_FACTORY_H

#include <klibloader.h>
class TDEInstance;
class TDEAboutData;

class DbSe2Factory : public KLibFactory
{
	TQ_OBJECT
  
public:
	DbSe2Factory( TQObject *parent=0, const char *name=0);
	~DbSe2Factory();

	virtual TQObject *createObject( TQObject *parent=0, const char *name=0,
	                               const char *classname="TQObject",
	                               const TQStringList &args = TQStringList());

	static TDEInstance *instance();

private: 
	static TDEInstance *s_instance;
	static TDEAboutData *s_about;
};

#endif
